Subject: Need help locating cyg_install.exe
From: [email-masked] (Enoch Wu)

11 Oct 1998 03:00:12 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

Hello,

I recently installed Cygnus CDK 19.1 and downloaded some extra off of ftp
sites.
I installed vim 5.0, less, termcap, ncurses.  They all work great.  

Now the question is:  

I have a question regarding an "install" script I found, attached here for
your reference.  Where is cyg_install.exe ?

This is the .exe file reference by the replacement script, near the bottom
of the attached file.

I'd appreciate any pointer.

Best Regards,
Enoch Wu

Attachement :

     #!/bin/sh     
     # file: install
     # author:  earnie                  email: [email-masked]     
     #
     # Install Preprocessor for the gnu-win32 "make install" command.     
     #
     # To use:     
     #     
     #   copy this file to /usr/bin/install (earlier in the
     #   path than the default GNU install).     
     #     
     # Note:
     #   No warranty implicit or explicit is given.
     #   You may copy, distribute and use as you see fit.
     #   USE AT YOU OWN RISK.     
     #
     # changed: M.Hirmke                email: [email-masked]
     #   changed ginstall to cyg_install, because some packages are looking
     #   for ginstall     
     #
     # changed: Dr David Coe            email: [email-masked]
     #   "I seem to remember earnie's script gave trouble (in X11 or lesstif
     #    make install) when both <exec.exe> and <exec> are present
     #    simultaneously). The attached helped."     
     #
     # changed: Dr Pierre A. Humblet    email: [email-masked]
     #    Modify logic to work when several files are installed in a
     #    directory, some with the .exe extension and others without.
     tstr=""     
     while test $# -gt 1;     
     do   
       if test -e $1.exe; 
       then
         suffix=".exe"; 
       else 
         suffix=""; 
       fi
       tstr="${tstr}${1}${suffix} " 
       shift;
     done
     if test -d $1
     then 
       suffix=""; 
     fi 
     tstr="${tstr}${1}${suffix}"

     eval "cyg_install.exe $tstr";
     exit
     
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".